Package: org.grails.config

## [Groovy] Class NavigableMap

- org.grails.config.NavigableMap

- All Implemented Interfaces and Traits:
    java.util.Map, java.lang.Cloneable

      @groovy.transform.EqualsAndHashCode
      @groovy.transform.CompileStatic
      class NavigableMap
      extends java.lang.Object

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `NavigableMap.NullSafeNavigator` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.Map<java.lang.String, java.lang.Object>` | `delegateMap`
    `java.lang.String` | `dottedPath`
    `java.util.List<java.lang.String>` | `path`
    `NavigableMap` | `rootConfig`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `NavigableMap ()`
    `NavigableMap (NavigableMap rootConfig, java.util.List<java.lang.String> path)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clear()`
    `` | `NavigableMap` | `clone()`
    `` | `boolean` | `containsKey(java.lang.Object key)`
    `` | `boolean` | `containsValue(java.lang.Object value)`
    `` | `java.util.Set<Map.Entry<java.lang.String, java.lang.Object>>` | `entrySet()`
    `` | `boolean` | `equals(java.lang.Object obj)`
    `` | `java.lang.Object` | `get(java.lang.Object key)`
    `` | `java.lang.Object` | `getAt(java.lang.Object key)`
    `` | `java.lang.Object` | `getProperty(java.lang.String name)`
    `` | `int` | `hashCode()`
    `` | `boolean` | `isEmpty()`
    `` | `java.util.Set<java.lang.String>` | `keySet()`
    `` | `void` | `merge(java.util.Map sourceMap, boolean parseFlatKeys = false)`
    `` | `protected void` | `mergeMapEntry(NavigableMap rootMap, java.lang.String path, NavigableMap targetMap, java.lang.String sourceKey, java.lang.Object sourceValue, boolean parseFlatKeys, boolean isNestedSet = false)`
    `` | `protected java.lang.Object` | `mergeMapEntry(NavigableMap targetMap, java.lang.String sourceKey, java.lang.Object newValue)`
    `` | `java.lang.Object` | `navigate(java.lang.String... path)`
    `` | `NavigableMap` | `navigateSubMap(java.util.List<java.lang.String> path, boolean createMissing)`
    `` | `java.lang.Object` | `put(java.lang.String key, java.lang.Object value)`
    `` | `void` | `putAll(java.util.Map<? extends java.lang.String, ?> m)`
    `` | `java.lang.Object` | `remove(java.lang.Object key)`
    `` | `void` | `setAt(java.lang.Object key, java.lang.Object value)`
    `` | `void` | `setProperty(java.lang.String name, java.lang.Object value)`
    `` | `int` | `size()`
    `` | `java.util.Map<java.lang.String, java.lang.Object>` | `toFlatConfig()`
    `` | `java.util.Properties` | `toProperties()`
    `` | `java.lang.String` | `toString()`
    `` | `java.util.Collection<java.lang.Object>` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### final java.util.Map<java.lang.String, java.lang.Object> delegateMap

    - #### final java.lang.String dottedPath

    - #### final java.util.List<java.lang.String> path

    - #### final NavigableMap rootConfig

  - ### Constructor Detail

    - #### NavigableMap()

    - #### NavigableMap(NavigableMap rootConfig, java.util.List<java.lang.String> path)

  - ### Method Detail

    - #### @java.lang.Override void clear()

    - #### @groovy.transform.CompileDynamic NavigableMap clone()

    - #### @java.lang.Override boolean containsKey(java.lang.Object key)

    - #### @java.lang.Override boolean containsValue(java.lang.Object value)

    - #### @java.lang.Override java.util.Set<Map.Entry<java.lang.String, java.lang.Object>> entrySet()

    - #### @java.lang.Override boolean equals(java.lang.Object obj)

    - #### @java.lang.Override java.lang.Object get(java.lang.Object key)

    - #### java.lang.Object getAt(java.lang.Object key)

    - #### java.lang.Object getProperty(java.lang.String name)

    - #### @java.lang.Override int hashCode()

    - #### @java.lang.Override boolean isEmpty()

    - #### @java.lang.Override java.util.Set<java.lang.String> keySet()

    - #### void merge(java.util.Map sourceMap, boolean parseFlatKeys = false)

    - #### protected void mergeMapEntry(NavigableMap rootMap, java.lang.String path, NavigableMap targetMap, java.lang.String sourceKey, java.lang.Object sourceValue, boolean parseFlatKeys, boolean isNestedSet = false)

    - #### protected java.lang.Object mergeMapEntry(NavigableMap targetMap, java.lang.String sourceKey, java.lang.Object newValue)

    - #### java.lang.Object navigate(java.lang.String... path)

    - #### NavigableMap navigateSubMap(java.util.List<java.lang.String> path, boolean createMissing)

    - #### @java.lang.Override java.lang.Object put(java.lang.String key, java.lang.Object value)

    - #### @java.lang.Override void putAll(java.util.Map<? extends java.lang.String, ?> m)

    - #### @java.lang.Override java.lang.Object remove(java.lang.Object key)

    - #### void setAt(java.lang.Object key, java.lang.Object value)

    - #### void setProperty(java.lang.String name, java.lang.Object value)

    - #### @java.lang.Override int size()

    - #### java.util.Map<java.lang.String, java.lang.Object> toFlatConfig()

    - #### java.util.Properties toProperties()

    - #### @java.lang.Override java.lang.String toString()

    - #### @java.lang.Override java.util.Collection<java.lang.Object> values()